GET TaskStatusTypeTaskType?taskStatusTypeTaskTypeId={taskStatusTypeTaskTypeId}&taskStatusTypeId={taskStatusTypeId}&taskTypeId={taskTypeId}

Retrieves a companies task status types to task types association. These are read-only.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
taskStatusTypeTaskTypeId

globally unique identifier

Required

taskStatusTypeId

globally unique identifier

Required

taskTypeId

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

On success, a list of task status types and task types associations

NameDescriptionTypeAdditional information
Data

Collection of TaskStatusTypeTaskType

None.

Total

integer

None.

Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "Data": [
    {
      "TaskStatusTypeTaskTypeId": "70113b3e-c4b5-4192-8f7f-12abb7183ff6",
      "CompanyId": "87ede32f-4a3c-4672-8376-f57551923c44",
      "TaskStatusTypeId": "37b0ec04-5a52-42e0-8a94-f496147958f2",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "07837f6c-0139-4d66-be75-c57a55817f17",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    },
    {
      "TaskStatusTypeTaskTypeId": "70113b3e-c4b5-4192-8f7f-12abb7183ff6",
      "CompanyId": "87ede32f-4a3c-4672-8376-f57551923c44",
      "TaskStatusTypeId": "37b0ec04-5a52-42e0-8a94-f496147958f2",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "07837f6c-0139-4d66-be75-c57a55817f17",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    }
  ],
  "Total": 1,
  "Message": "sample string 1"
}